#!/usr/bin/php -q
<?php
// UTILITY TO CREATE OBJECTS
//
// Copyright (c) 2010 Nagios Enterprises, LLC.
//  

define("SUBSYSTEM",1);

require_once(dirname(__FILE__).'/../html/config.inc.php');
require_once(dirname(__FILE__).'/../html/includes/utils.inc.php');

doit();

	
function doit(){
	global $argv;
	
	$newpassword="";

	$args=parse_argv($argv);
	
	$default_hosttemplate="xiwizard_generic_host";
	$default_servicetemplate="xiwizard_website_ping_service";
	
	$type=grab_array_var($args,"type","active");
	if($type=="passive"){
		$default_hosttemplate="xiwizard_passive_host";
		$default_servicetemplate="xiwizard_passive_service";
		}
	$hosts=grab_array_var($args,"hosts");
	$hosttemplate=grab_array_var($args,"hosttemplate",$default_hosttemplate);
	$services=grab_array_var($args,"services");
	$servicetemplate=grab_array_var($args,"servicetemplate",$default_servicetemplate);
	$prefix=grab_array_var($args,"prefix","_test");
	$start=grab_array_var($args,"start",1);
	
	if($hosts=="" || $services==""){
		echo "Nagios XI Check Creation Tool\n";
		echo "Copyright (c) 2011 Nagios Enterprises, LLC\n";
		echo "\n";
		echo "Usage: ".$argv[0]." --hosts=<hosts> --services=<services> [--type=<type>]\n";
		echo "\n";
		echo "Options:\n";
		echo "  <hosts>    = Number of hosts to create\n";
		echo "  <services> = Number of services PER HOST to create\n";
		echo "  <type>     = 'active' or 'passive'\n";
		echo "  <prefix>   = Prefix for host and service names\n";
		echo "\n";
		
		echo "This utility creates host and service definitions for use in testing.\n";
		exit(1);
		}
	
	$x=0;
	for($x=0;$x<$hosts;$x++){
		$hn=$prefix."host_".($x+$start);
		$ht=$hosttemplate;
$h="define host{
\thost_name $hn
\taddress 127.0.0.1
\tuse $ht
";
		echo $h;
$h="\t}\n";
		echo $h;
		
		for($y=1;$y<=$services;$y++){
			$sn=$prefix."service_".$y;
			$st=$servicetemplate;
$s="define service{
\thost_name $hn
\tservice_description $sn
\tuse $st
";
			echo $s;
$s="\t}\n";
			echo $s;
			}
		}
		
	exit(0);
	}
	


?>